import FreeCAD as App
from helper.file_system_repository import FileSystemRepository
from scenarios.robossembler_freecad_export_scenari import (
    RobossemblerFreeCadExportScenari,
)


import FreeCADGui as Gui

#  obj.Support[0][0].Label
# 'Hex_King'

import FreeCAD as App


def main():
    env = FileSystemRepository.readJSON("./env.json")
    App.openDocument(env.get("cadFilePath"))
    RobossemblerFreeCadExportScenari.call(env.get("outPath"))
    App.closeDocument(App.ActiveDocument.Name)
    freecadQTWindow = Gui.getMainWindow()
    freecadQTWindow.close()


main()
